- Print
- DarkLight
- PDF
Updating QuickMeet.Chat
- Print
- DarkLight
- PDF
As of December 15, 2023, QuickMeet.Chat has ceased support for connections from cloud services and official mobile/desktop apps to workspaces running legacy versions outside our support window. Users on unsupported legacy servers are advised to upgrade to the latest QuickMeet.Chat version to ensure continued access to cloud, mobile, and desktop applications. Each QuickMeet.Chat version is supported for six months post-release.
Keeping your QuickMeet.Chat installation up-to-date is essential to ensure that you have access to the latest features, bug fixes, and security enhancements. This guide will walk you through the process of updating QuickMeet.Chat across various deployment methods.
Before you update
To prepare for a successful QuickMeet.Chat update, it's vital to adhere to specific guidelines. Start by thoroughly understanding the system requirements and carefully reading the release notes specific to your target version.
Backup your data
Always perform a full backup of your QuickMeet.Chat instance, including the database and any custom configurations. This ensures you can revert to a working state in case of any issues during the update.
Avoid skipping major versions
When updating from one major version to another, it is important to follow a sequential path and not skip any intermediate major versions.
For example, if you are updating your workspace from version 1.x.x to version 4.x.x, we recommend that you follow this path: 1.x.x -> 2.x.x -> 3.x.x -> 4.x.x. Like so:

Following the recommended path above enables you to update to the latest version of the next release from your current version until you get to your preferred version without missing any significant changes.
Skipping intermediate major versions, such as updating directly from 1.x.x to 4.x.x, can lead to problems because the software in 4.x.x may not be compatible with the data or settings that you have in 1.x.x.
See our update version path flowchart and demo for a more detailed workflow on updating your workspace from the oldest version (1.x.x) with MMAP to the latest version with the supported MongoDB release.
Update version path
Updating QuickMeet.Chat
Updating your QuickMeet.Chat workspace to a new version involves several steps, which can vary depending on the deployment method you're using.
If you deployed your workspace with Docker, follow the update QuickMeet.Chat on docker guide .
If you deployed your workspace with Snaps, see the update QuickMeet.Chat on snaps guide .
If you deployed your workspace following the manual installations, continue with the following steps:
Manual installation includes QuickMeet.Chat deployment on CentOS and Debian distributions.
To update the QuickMeet.Chat server deployed via manual installation,
Stop QuickMeet.Chat service:
sudo systemctl stop rocketchatRemove the installation folder, usually in /opt
sudo rm -rf /opt/QuickMeet.ChatEnsure you have the needed build packages for Debian.
sudo apt-get install -y build-essential graphicsmagickUpdate the node version required by QuickMeet.Chat. Check the release notes for the supported engine versions for MongoDB and NodeJs, and install as recommended.
sudo n install <x.x.x>Download the latest version of QuickMeet.Chat:
curl -L https://releases.quickmeet.chat/latest/download -o /tmp/quickmeet.chat.tgztar -xzf /tmp/quickmeet.chat.tgz -C /tmpInstall it and set the proper permissions to QuickMeet.Chat folder with these commands:
cd /tmp/bundle/programs/server && npm installsudo mv /tmp/bundle /opt/QuickMeet.Chatsudo chown -R rocketchat:rocketchat /opt/QuickMeet.ChatAdditional steps for updating to the 6.10 release
If you’re updating your workspace to version 6.10, run these additional commands:
mkdir -p /home/rocketchat/.cache cd PATH_TO_ROCKETCHAT_INSTALLATION/programs/server/npm/node_modules/@quickmeet.chat/apps-engine export DENO_DIR=/home/rocketchat/.cache/deno npm install --production npm run postinstall chown -R rocketchat:rocketchat /home/rocketchat
Start the QuickMeet.Chat service:
sudo systemctl start rocketchatIf you have any concerns or issues with updating QuickMeet.Chat, see updating QuickMeet.Chat FAQ
Updating MongoDB
Refer to MongoDB version support and learn more about the supported MongoDB versions for your QuickMeet.Chat workspace and how to update.